<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>change log for rtems-testing (2011-11-06)</title>
</head>
<body text='#000000' bgcolor='#ffffff'>
<a name='cs1'></a>
<table border='0' cellspacing='0' cellpadding='5' width='100%' bgcolor='#eeeeee'>
<tr><td colspan='3' bgcolor='#dddddd'>
<font color='#bb2222'><strong>joel</strong></font>
</td></tr>
<tr><td colspan='3' bgcolor='#dddddd'><pre>2011-11-06 Joel Sherrill <joel.sherrill@oarcorp.com>
* sis.in: Increase memory.
* uC5282.in: Add pattern for exception meaning program end.
</pre></td></tr>
<tr><td width='1%'><a href="http://www.rtems.com/cgi-bin/viewcvs.cgi//rtems-testing/sim-scripts/ChangeLog.diff?r1=text&tr1=1.104&r2=text&tr2=1.105&diff_format=h">M</a></td><td width='1%'>1.105</td><td width='100%'>sim-scripts/ChangeLog</td></tr>
<tr><td width='1%'><a href="http://www.rtems.com/cgi-bin/viewcvs.cgi//rtems-testing/sim-scripts/sis.in.diff?r1=text&tr1=1.7&r2=text&tr2=1.8&diff_format=h">M</a></td><td width='1%'>1.8</td><td width='100%'>sim-scripts/sis.in</td></tr>
<tr><td width='1%'><a href="http://www.rtems.com/cgi-bin/viewcvs.cgi//rtems-testing/sim-scripts/uC5282.in.diff?r1=text&tr1=1.5&r2=text&tr2=1.6&diff_format=h">M</a></td><td width='1%'>1.6</td><td width='100%'>sim-scripts/uC5282.in</td></tr>
</table>
<pre>
<font color='#006600'>diff -u rtems-testing/sim-scripts/ChangeLog:1.104 rtems-testing/sim-scripts/ChangeLog:1.105
--- rtems-testing/sim-scripts/ChangeLog:1.104 Fri Nov 4 14:29:41 2011
+++ rtems-testing/sim-scripts/ChangeLog Sun Nov 6 09:29:35 2011
</font><font color='#997700'>@@ -1,3 +1,8 @@
</font><font color='#000088'>+2011-11-06 Joel Sherrill <joel.sherrill@oarcorp.com>
+
+ * sis.in: Increase memory.
+ * uC5282.in: Add pattern for exception meaning program end.
+
</font> 2011-11-04 Joel Sherrill <joel.sherrilL@OARcorp.com>
* pc386.in: Use CPU supported by older qemu.
<font color='#006600'>diff -u rtems-testing/sim-scripts/sis.in:1.7 rtems-testing/sim-scripts/sis.in:1.8
--- rtems-testing/sim-scripts/sis.in:1.7 Fri Sep 16 04:29:34 2011
+++ rtems-testing/sim-scripts/sis.in Sun Nov 6 09:29:35 2011
</font><font color='#997700'>@@ -6,7 +6,7 @@
</font>
runARGS()
{
<font color='#880000'>- echo ${1}
</font><font color='#000088'>+ echo "-m 64 ${1}"
</font> }
checkBSPFaults()
<font color='#006600'>diff -u rtems-testing/sim-scripts/uC5282.in:1.5 rtems-testing/sim-scripts/uC5282.in:1.6
--- rtems-testing/sim-scripts/uC5282.in:1.5 Fri Nov 4 14:29:41 2011
+++ rtems-testing/sim-scripts/uC5282.in Sun Nov 6 09:29:35 2011
</font><font color='#997700'>@@ -28,6 +28,16 @@
</font>
checkBSPFaults()
{
<font color='#000088'>+ # faulty thread may be deleted or suspended
+ for pattern in \
+ "^PC:.* SR:.*"
+ do
+ egrep "${pattern}" ${logfile}
+ if [ $? -eq 0 ] ; then
+ return 1
+ fi
+ done
+
</font> return 0
}
</pre>
<p> </p>
<a name='cs2'></a>
<table border='0' cellspacing='0' cellpadding='5' width='100%' bgcolor='#eeeeee'>
<tr><td colspan='3' bgcolor='#dddddd'>
<font color='#bb2222'><strong>joel</strong></font>
</td></tr>
<tr><td colspan='3' bgcolor='#dddddd'><pre>2011-11-06 Joel Sherrill <joel.sherrill@oarcorp.com>
* do_one: do_cleanup defaults to "no".
Add initial support for Objective-C and FORTRAN.
- Objective-C needs work on run-time support
- FORTRAN needs to be tested
* gcc_status: Use BUILDDIR not BASEDIR.
* gccgo_status: Use BUILDDIR not BASEDIR.
* networkconfig.h: Update.
* rtems_gccgo_init.c: Switch to unlimited objects configuration.
* rundeja: Add Objective-C.
* test_driver: Add -C to check options and exit.
Add --enable-watchdog to PPL configuration.
* testsuite/ada/acats/Makefile.rtems: Correct uC5282.
* gccobjc_status: New file.
</pre></td></tr>
<tr><td width='1%'><a href="http://www.rtems.com/cgi-bin/viewcvs.cgi//rtems-testing/gcc/ChangeLog.diff?r1=text&tr1=1.23&r2=text&tr2=1.24&diff_format=h">M</a></td><td width='1%'>1.24</td><td width='100%'>gcc/ChangeLog</td></tr>
<tr><td width='1%'><a href="http://www.rtems.com/cgi-bin/viewcvs.cgi//rtems-testing/gcc/do_one.diff?r1=text&tr1=1.25&r2=text&tr2=1.26&diff_format=h">M</a></td><td width='1%'>1.26</td><td width='100%'>gcc/do_one</td></tr>
<tr><td width='1%'><a href="http://www.rtems.com/cgi-bin/viewcvs.cgi//rtems-testing/gcc/gcc_status.diff?r1=text&tr1=1.3&r2=text&tr2=1.4&diff_format=h">M</a></td><td width='1%'>1.4</td><td width='100%'>gcc/gcc_status</td></tr>
<tr><td width='1%'><a href="http://www.rtems.com/cgi-bin/viewcvs.cgi//rtems-testing/gcc/gccgo_status.diff?r1=text&tr1=1.2&r2=text&tr2=1.3&diff_format=h">M</a></td><td width='1%'>1.3</td><td width='100%'>gcc/gccgo_status</td></tr>
<tr><td width='1%'><a href="http://www.rtems.com/cgi-bin/viewcvs.cgi//rtems-testing/gcc/gccobjc_status?rev=1.1&content-type=text/vnd.viewcvs-markup">A</a></td><td width='1%'><font color="#000088">1.1</font></td><td width='100%'><font color="#000088">gcc/gccobjc_status</font></td></tr>
<tr><td width='1%'><a href="http://www.rtems.com/cgi-bin/viewcvs.cgi//rtems-testing/gcc/networkconfig.h.diff?r1=text&tr1=1.2&r2=text&tr2=1.3&diff_format=h">M</a></td><td width='1%'>1.3</td><td width='100%'>gcc/networkconfig.h</td></tr>
<tr><td width='1%'><a href="http://www.rtems.com/cgi-bin/viewcvs.cgi//rtems-testing/gcc/rtems_gccgo_init.c.diff?r1=text&tr1=1.3&r2=text&tr2=1.4&diff_format=h">M</a></td><td width='1%'>1.4</td><td width='100%'>gcc/rtems_gccgo_init.c</td></tr>
<tr><td width='1%'><a href="http://www.rtems.com/cgi-bin/viewcvs.cgi//rtems-testing/gcc/rundeja.diff?r1=text&tr1=1.16&r2=text&tr2=1.17&diff_format=h">M</a></td><td width='1%'>1.17</td><td width='100%'>gcc/rundeja</td></tr>
<tr><td width='1%'><a href="http://www.rtems.com/cgi-bin/viewcvs.cgi//rtems-testing/gcc/test_driver.diff?r1=text&tr1=1.23&r2=text&tr2=1.24&diff_format=h">M</a></td><td width='1%'>1.24</td><td width='100%'>gcc/test_driver</td></tr>
<tr><td width='1%'><a href="http://www.rtems.com/cgi-bin/viewcvs.cgi//rtems-testing/gcc/testsuite/ada/acats/Makefile.rtems.diff?r1=text&tr1=1.14&r2=text&tr2=1.15&diff_format=h">M</a></td><td width='1%'>1.15</td><td width='100%'>gcc/testsuite/ada/acats/Makefile.rtems</td></tr>
</table>
<pre>
<font color='#006600'>diff -u rtems-testing/gcc/ChangeLog:1.23 rtems-testing/gcc/ChangeLog:1.24
--- rtems-testing/gcc/ChangeLog:1.23 Fri Nov 4 12:04:21 2011
+++ rtems-testing/gcc/ChangeLog Sun Nov 6 09:35:35 2011
</font><font color='#997700'>@@ -1,3 +1,19 @@
</font><font color='#000088'>+2011-11-06 Joel Sherrill <joel.sherrill@oarcorp.com>
+
+ * do_one: do_cleanup defaults to "no".
+ Add initial support for Objective-C and FORTRAN.
+ - Objective-C needs work on run-time support
+ - FORTRAN needs to be tested
+ * gcc_status: Use BUILDDIR not BASEDIR.
+ * gccgo_status: Use BUILDDIR not BASEDIR.
+ * networkconfig.h: Update.
+ * rtems_gccgo_init.c: Switch to unlimited objects configuration.
+ * rundeja: Add Objective-C.
+ * test_driver: Add -C to check options and exit.
+ Add --enable-watchdog to PPL configuration.
+ * testsuite/ada/acats/Makefile.rtems: Correct uC5282.
+ * gccobjc_status: New file.
+
</font> 2011-11-04 Joel Sherrill <joel.sherrilL@OARcorp.com>
* test_driver: Spacing.
<font color='#006600'>diff -u rtems-testing/gcc/do_one:1.25 rtems-testing/gcc/do_one:1.26
--- rtems-testing/gcc/do_one:1.25 Sat Aug 20 13:37:29 2011
+++ rtems-testing/gcc/do_one Sun Nov 6 09:35:35 2011
</font><font color='#997700'>@@ -1,4 +1,3 @@
</font><font color='#880000'>-#! /bin/sh
</font> #
# Execution Times (for sparc-rtems${RTEMS_VERSION})
#
<font color='#997700'>@@ -31,7 +30,7 @@
</font>
######################## Set defaults #############################
# Remove Build Directories
<font color='#880000'>-do_cleanup=yes
</font><font color='#000088'>+do_cleanup=no
</font> # Install Binutils (from rpm or source)
do_binutils=no
do_binutils_method=source
<font color='#997700'>@@ -47,6 +46,7 @@
</font> do_multilib=yes
# Build the Objective-C language cross compiler.
do_objc=no
<font color='#000088'>+ do_native_objc=yes
</font> # Build the Ada language cross compiler.
do_ada=no
do_ada_multilib=yes
<font color='#997700'>@@ -56,6 +56,9 @@
</font> # Build the GCC Java language cross compiler.
do_gcj=no
do_gcj_multilib=yes
<font color='#000088'>+# Build the GCC FORTRAN language cross compiler.
+do_fortran=no
+ do_fortran_multilib=yes
</font> # Build RTEMS for a particular CPU/BSP combination
do_rtems=no
# Which test suites do we attempt
<font color='#997700'>@@ -65,16 +68,19 @@
</font> run_gccgotests=no
run_libgotests=no
run_libjavatests=no
<font color='#000088'>+run_fortrantests=no
</font> # Do we send email to gcc-testresults with the test results?
do_mail=yes
# Are we noisy when running?
<font color='#880000'>-verbose=no
</font><font color='#000088'>+verbose=yes
</font> ######################## Parse arguments ###########################
usage()
{
cat <<EOF
do_one [options] CPU BSP
<font color='#000088'>+ -A - binutils, stage 1, C++, C/C++ multilib, Ada, GCC Go, ObjC, RTEMS
+ -T - run GCC, Ada, GCC Go, and ObjC tests
</font> -A - binutils, stage 1, C++, C/C++ multilib, Ada, GCC Go, GCJ, RTEMS
-T - run GCC, Ada, GCC Go and GCJ tests
-b - install binutils (from source or copy installed RPM contents)
<font color='#997700'>@@ -86,10 +92,12 @@
</font> -a - stage 2 Ada compiler
-G - stage 2 GCC Go compiler
-J - stage 2 GCC Java compiler
<font color='#000088'>+ -f - stage 2 GCC FORTRAN compiler
+ -F - run FORTRAN tests
</font> -r - build RTEMS
-g - run GCC C/C++ tests
-C - run ACATS
<font color='#880000'>- -d - do not clean up (delete build directories)
</font><font color='#000088'>+ -d - do not clean up (delete build directories) (default=no)
</font> -v - verbose
-M - do NOT email test results to gcc-testresults
-O - Build Objective-C
<font color='#997700'>@@ -115,7 +123,7 @@
</font> esac
}
<font color='#880000'>-while getopts bdDnv1cmargiotCATMGOP OPT
</font><font color='#000088'>+while getopts bdDnv1cmargiotCfFAJTMGOP OPT
</font> do
case "$OPT" in
A) do_binutils="yes"
<font color='#997700'>@@ -127,6 +135,7 @@
</font> do_gccgo="yes"
do_gcj="yes"
do_objc="yes"
<font color='#000088'>+ #do_fortran="yes"
</font> do_rtems="yes"
;;
d) do_cleanup=`toggle ${do_cleanup}` ;;
<font color='#997700'>@@ -148,6 +157,7 @@
</font> a) do_ada=`toggle ${do_ada}` ;;
G) do_gccgo=`toggle ${do_gccgo}` ;;
J) do_gcj=`toggle ${do_gcj}` ;;
<font color='#000088'>+ f) do_fortran=`toggle ${do_fortran}` ;;
</font> # Build RTEMS
r) do_rtems=`toggle ${do_rtems}` ;;
# Testsuites to run
<font color='#997700'>@@ -156,10 +166,11 @@
</font> v) verbose=`toggle ${verbose}` ;;
M) do_mail=`toggle ${do_mail}` ;;
O) do_objc=`toggle ${do_objc}` ;;
<font color='#880000'>- P) run_objctests=`toggle ${do_objc}` ;;
</font><font color='#000088'>+ P) run_objctests=`toggle ${run_objctests}` ;;
</font> o) run_gccgotests=`toggle ${run_gccgotests}` ;;
t) run_libgotests=`toggle ${run_libgotests}` ;;
j) run_libjavatests=`toggle ${run_libjavatests}` ;;
<font color='#000088'>+ F) run_fortrantests=`toggle ${run_fortrantests}` ;;
</font> *) fatal ;;
esac
done
<font color='#997700'>@@ -218,6 +229,17 @@
</font> esac
fi
<font color='#000088'>+# Which CPUs do not support FORTRAN
+if [ ${do_fortran} = "yes" ] ; then
+ case ${cpu} in
+ arm|i386|m68k|mips|powerpc|sparc) ;;
+ *)
+ do_fortran=no
+ echo ${cpu} does not support Ada
+ ;;
+ esac
+fi
+
</font> # When verbose, print settings
if [ ${verbose} = yes ] ; then
echo "Target : " ${cpu}
<font color='#997700'>@@ -236,6 +258,7 @@
</font> echo " Go Multilib : " ${do_gccgo_multilib}
echo " GCJ : " ${do_gcj}
echo " GCJ Multilib : " ${do_gccgcj_multilib}
<font color='#000088'>+ echo " FORTRAN : " ${do_fortran}
</font> echo "Build RTEMS : " ${do_rtems}
echo "Run GCC Tests : " ${run_gcctests}
echo "Run ObjC Tests : " ${run_objctests}
<font color='#997700'>@@ -255,7 +278,8 @@
</font>
if [ ${do_binutils} = yes -o ${do_gdb} = yes -o \
${do_stage1} = yes -o ${do_ada} = yes -o \
<font color='#880000'>- ${do_gccgo} = yes -o ${do_gcj} = yes ] ; then
</font><font color='#000088'>+ ${do_gccgo} = yes -o ${do_gcj} = yes -o \
+ ${do_fortran} = yes ] ; then
</font> needCPU=yes
fi
<font color='#997700'>@@ -391,9 +415,9 @@
</font> ;;
source)
echo "Building Binutils from source"
<font color='#880000'>- rm -rf b-${cpu}-binutils
- mkdir b-${cpu}-binutils
- cd b-${cpu}-binutils
</font><font color='#000088'>+ rm -rf ${BUILDDIR}/b-${cpu}-binutils
+ mkdir ${BUILDDIR}/b-${cpu}-binutils
+ cd ${BUILDDIR}/b-${cpu}-binutils
</font> (${BINUTILSDIR}/configure --target=${TARGET} --prefix=$INSTALL \
--disable-werror && \
make ${MAKEJOBS} && make install) >${LOGDIR}/${cpu}-binutils.log 2>&1
<font color='#997700'>@@ -405,7 +429,7 @@
</font> make check >${LOGDIR}/${cpu}-binutils-check.log 2>&1
grep ^FAIL ${LOGDIR}/${cpu}-binutils-check.log
cd ..<span style="background-color: #FF0000"> </span>
<font color='#880000'>- test ${do_cleanup} = "yes" && rm -rf b-${cpu}-binutils
</font><font color='#000088'>+ test ${do_cleanup} = "yes" && rm -rf ${BUILDDIR}/b-${cpu}-binutils
</font> ;;
*)
echo "Where do I get the binutils from?"
<font color='#997700'>@@ -456,9 +480,9 @@
</font> source)
echo "Building GDB from source"
cd ${BASEDIR}
<font color='#880000'>- rm -rf b-${cpu}-gdb
- mkdir b-${cpu}-gdb
- cd b-${cpu}-gdb
</font><font color='#000088'>+ rm -rf ${BUILDDIR}/b-${cpu}-gdb
+ mkdir ${BUILDDIR}/b-${cpu}-gdb
+ cd ${BUILDDIR}/b-${cpu}-gdb
</font> (${GDBDIR}/configure --target=${GDBTARGET} \
--enable-sim --enable-sim-hardware \
--disable-werror \
<font color='#997700'>@@ -469,7 +493,7 @@
</font> exit 1
fi
cd ..<span style="background-color: #FF0000"> </span>
<font color='#880000'>- test ${do_cleanup} = "yes" && rm -rf b-${cpu}-gdb
</font><font color='#000088'>+ test ${do_cleanup} = "yes" && rm -rf ${BUILDDIR}/b-${cpu}-gdb
</font> ;;
*)
echo "Where do I get the gdb from?"
<font color='#997700'>@@ -487,26 +511,27 @@
</font> j_native()
{
test ${do_native_ada} = "yes" && AdaArg=",ada"
<font color='#000088'>+ test ${do_native_objc} = "yes" && ObjCArg=",objc"
</font> ${GCCDIR}/configure \
${NATIVE_GCC_EXTRA_ARGS} \
--disable-werror \
<font color='#880000'>- --enable-languages=c,c++${AdaArg} --prefix=$INSTALL &&
</font><font color='#000088'>+ --enable-languages=c,c++${AdaArg}${ObjCArg} --prefix=$INSTALL &&
</font> make ${MAKEJOBS} && make install
}
if [ ${do_native} = "yes" ] ; then
echo "Building native compiler..."
cd ${BASEDIR} && \
<font color='#880000'>- rm -rf b-native && \
- mkdir b-native && \
- cd b-native
</font><font color='#000088'>+ rm -rf ${BUILDDIR}/b-native && \
+ mkdir ${BUILDDIR}/b-native && \
+ cd ${BUILDDIR}/b-native
</font> time j_native >${LOGDIR}/native.log 2>&1
if [ $? -ne 0 ] ; then
echo "Failed to build native gcc"
exit 1
fi
cd ..
<font color='#880000'>- test ${do_cleanup} = "yes" && rm -rf b-native
</font><font color='#000088'>+ test ${do_cleanup} = "yes" && rm -rf ${BUILDDIR}/b-native
</font> else
echo Skipping native
fi
<font color='#997700'>@@ -573,9 +598,9 @@
</font> if [ ${do_stage1} = "yes" ] ; then
echo "Building Stage 1 compiler (C/C++)..."
(cd ${BASEDIR} && \
<font color='#880000'>- rm -rf b-${cpu}-gcc && \
- mkdir b-${cpu}-gcc && \
- cd b-${cpu}-gcc && \
</font><font color='#000088'>+ rm -rf ${BUILDDIR}/b-${cpu}-gcc && \
+ mkdir ${BUILDDIR}/b-${cpu}-gcc && \
+ cd ${BUILDDIR}/b-${cpu}-gcc && \
</font> time j_gcc ${cpu} >${LOGDIR}/${cpu}-gcc.log 2>&1 && cd ..) || exit 1
else
echo Skipping Stage 1 for ${cpu}
<font color='#997700'>@@ -587,7 +612,7 @@
</font> {
cpuArg=$1
bspArg=$2
<font color='#880000'>- bspdir=b-${cpuArg}-${bspArg}
</font><font color='#000088'>+ bspdir=${BUILDDIR}/b-${cpuArg}-${bspArg}
</font>
cd ${BASEDIR}
rm -rf ${bspdir}
<font color='#997700'>@@ -638,7 +663,8 @@
</font> echo "Failed to build RTEMS for ${cpu}/${bsp}"
exit 1
fi
<font color='#880000'>- test ${do_cleanup} = "yes" && rm -rf b-${cpu}-${bsp} b-${cpu}-multilib
</font><font color='#000088'>+ test ${do_cleanup} = "yes" && \
+ rm -rf ${BUILDDIR}/b-${cpu}-${bsp} ${BUILDDIR}/b-${cpu}-multilib
</font> else
echo Skipping RTEMS for ${cpu}/${bsp}
fi
<font color='#997700'>@@ -647,7 +673,7 @@
</font> ##### Do the gcc tests
if [ ${run_gcctests} = "yes" ] ; then<span style="background-color: #FF0000"> </span>
echo "Running GCC Tests..."
<font color='#880000'>- cd ${BASEDIR}/b-${cpu}-gcc || exit 1
</font><font color='#000088'>+ cd ${BUILDDIR}/b-${cpu}-gcc || exit 1
</font> time sh -x ${SCRIPTDIR}/gcc/rundeja ${bsp} gcc \
>${LOGDIR}/${cpu}-gcctests-${bsp}.log 2>&1
<font color='#997700'>@@ -677,7 +703,7 @@
</font> else
echo Skipping GCC DejaGNU tests for ${cpu}/${bsp}
fi
<font color='#880000'>-test ${do_cleanup} = "yes" && rm -rf b-${cpu}-gcc
</font><font color='#000088'>+test ${do_cleanup} = "yes" && rm -rf ${BUILDDIR}/b-${cpu}-gcc
</font>
##### Build an Objective-C compiler now that we have a cross installed
j_gccobjc()
<font color='#997700'>@@ -716,9 +742,9 @@
</font> if [ ${do_objc} = "yes" ] ; then<span style="background-color: #FF0000"> </span>
echo "Building Stage 2 cross Objective-C compiler for ${1} ..."
(cd ${BASEDIR} && \
<font color='#880000'>- rm -rf b-${cpu}-objc && \
- mkdir b-${cpu}-objc && \
- cd b-${cpu}-objc && \
</font><font color='#000088'>+ rm -rf ${BUILDDIR}/b-${cpu}-objc && \
+ mkdir ${BUILDDIR}/b-${cpu}-objc && \
+ cd ${BUILDDIR}/b-${cpu}-objc && \
</font> time j_gccobjc ${cpu} >${LOGDIR}/${cpu}-objc.log 2>&1 && cd ..) || \
objc_fail="yes"
else
<font color='#997700'>@@ -727,11 +753,11 @@
</font>
#### Run the Objective-C tests
if [ ${run_objctests} = "yes" -a \
<font color='#880000'>- -d ${BASEDIR}/b-${cpu}-objc -a ${objc_fail} = "no" ] ; then<span style="background-color: #FF0000"> </span>
</font><font color='#000088'>+ -d ${BUILDDIR}/b-${cpu}-objc -a ${objc_fail} = "no" ] ; then<span style="background-color: #FF0000"> </span>
</font> echo "Running Objective-C Tests..."
<font color='#880000'>- cd ${BASEDIR}/b-${cpu}-gcc || exit 1
- time sh -x ${SCRIPTDIR}/gcc/rundeja ${bsp} gcc\
</font><font color='#000088'>+ cd ${BUILDDIR}/b-${cpu}-objc || exit 1
+ time sh -x ${SCRIPTDIR}/gcc/rundeja ${bsp} objc \
</font> >${LOGDIR}/${cpu}-gcctests-${bsp}.log 2>&1
#RDIR=${RESULTSDIR}/${TARGET}-${bsp}/`date +%Y-%m-%d-%H-%M-%S`
<font color='#997700'>@@ -762,7 +788,7 @@
</font> fi
if [ ${do_ada} = "yes" ] ; then<span style="background-color: #FF0000"> </span>
<font color='#880000'>- test ${do_cleanup} = "yes" && rm -rf b-${cpu}-ada
</font><font color='#000088'>+ test ${do_cleanup} = "yes" && rm -rf ${BUILDDIR}/b-${cpu}-ada
</font> fi
##### Build an Ada compiler now that we have a cross installed
<font color='#997700'>@@ -804,15 +830,16 @@
</font> if [ $status -ne 0 ] ; then
echo "Failed building Ada"
fi
<font color='#000088'>+ return $status
</font> }
ada_fail="no"
if [ ${do_ada} = "yes" ] ; then<span style="background-color: #FF0000"> </span>
echo "Building Stage 2 cross Ada compiler for ${1} ..."
(cd ${BASEDIR} && \
<font color='#880000'>- rm -rf b-${cpu}-ada && \
- mkdir b-${cpu}-ada && \
- cd b-${cpu}-ada && \
</font><font color='#000088'>+ rm -rf ${BUILDDIR}/b-${cpu}-ada && \
+ mkdir ${BUILDDIR}/b-${cpu}-ada && \
+ cd ${BUILDDIR}/b-${cpu}-ada && \
</font> time j_gccada ${cpu} >${LOGDIR}/${cpu}-ada.log 2>&1 && cd ..) || \
ada_fail="yes"
else
<font color='#997700'>@@ -821,7 +848,7 @@
</font>
#### Run the Ada ACATS tests
if [ ${run_acats} = "yes" -a \
<font color='#880000'>- -d ${BASEDIR}/b-${cpu}-ada -a ${ada_fail} = "no" ] ; then<span style="background-color: #FF0000"> </span>
</font><font color='#000088'>+ -d ${BUILDDIR}/b-${cpu}-ada -a ${ada_fail} = "no" ] ; then<span style="background-color: #FF0000"> </span>
</font> echo "Running ACATS..."
cd ${GCCDIR}/gcc/testsuite/ada/acats/ || exit 1
<font color='#997700'>@@ -844,7 +871,7 @@
</font> fi
if [ ${do_ada} = "yes" ] ; then<span style="background-color: #FF0000"> </span>
<font color='#880000'>- test ${do_cleanup} = "yes" && rm -rf b-${cpu}-ada
</font><font color='#000088'>+ test ${do_cleanup} = "yes" && rm -rf ${BUILDDIR}/b-${cpu}-ada
</font> fi
##### Build a GCC Go compiler now that we have a cross installed
<font color='#997700'>@@ -899,9 +926,9 @@
</font> if [ ${do_gccgo} = "yes" ] ; then<span style="background-color: #FF0000"> </span>
echo "Building Stage 2 cross GCC Go compiler for ${1} ..."
(cd ${BASEDIR} && \
<font color='#880000'>- rm -rf b-${cpu}-go && \
- mkdir b-${cpu}-go && \
- cd b-${cpu}-go && \
</font><font color='#000088'>+ rm -rf ${BUILDDIR}/b-${cpu}-go && \
+ mkdir ${BUILDDIR}/b-${cpu}-go && \
+ cd ${BUILDDIR}/b-${cpu}-go && \
</font> time j_gccgo ${cpu} >${LOGDIR}/${cpu}-go.log 2>&1 && cd ..) || \
go_fail="yes"
else
<font color='#997700'>@@ -910,9 +937,9 @@
</font>
##### Do the gccgo tests
if [ $a ${run_gccgotests} = "yes" -a \
<font color='#880000'>- -d ${BASEDIR}/b-${cpu}-go -a ${go_fail} = "no" ] ; then
</font><font color='#000088'>+ -d ${BUILDDIR}/b-${cpu}-go -a ${go_fail} = "no" ] ; then
</font> echo "Running GCC Go Tests..."
<font color='#880000'>- cd ${BASEDIR}/b-${cpu}-go/gcc || exit 1
</font><font color='#000088'>+ cd ${BUILDDIR}/b-${cpu}-go/gcc || exit 1
</font> time sh -x ${SCRIPTDIR}/gcc/rundeja ${bsp} gccgo \
>${LOGDIR}/${cpu}-gccgotests-${bsp}.log 2>&1
<font color='#997700'>@@ -942,22 +969,22 @@
</font>
##### Do the libgo tests
if [ $a ${run_libgotests} = "yes" -a \
<font color='#880000'>- -d ${BASEDIR}/b-${cpu}-go -a ${go_fail} = "no" ] ; then
</font><font color='#000088'>+ -d ${BUILDDIR}/b-${cpu}-go -a ${go_fail} = "no" ] ; then
</font> echo "Running libgo DejaGNU tests..."
<font color='#880000'>- cd ${BASEDIR}/b-${cpu}-go || exit 1
</font><font color='#000088'>+ cd ${BUILDDIR}/b-${cpu}-go || exit 1
</font> time sh -x ${SCRIPTDIR}/gcc/rundeja ${bsp} libgo \
>${LOGDIR}/${cpu}-libgotests-${bsp}.log 2>&1
RDIR=${RESULTSDIR}/${TARGET}-${bsp}/`date +%Y-%m-%d-%H-%M-%S`
mkdir -p ${RDIR}
<font color='#880000'>- cp ${TARGET}-${bsp}/libgo/testsuite/libgo-all.log \
- ${TARGET}-${bsp}/libgo/testsuite/libgo-all.sum ${RDIR}
</font><font color='#000088'>+ cp ${TARGET}/libgo/testsuite/libgo-all.log \
+ ${TARGET}/libgo/testsuite/libgo-all.sum ${RDIR}
</font> else
echo Skipping libgo DejaGNU tests for ${cpu}/${bsp}
fi
if [ ${do_gccgo} = "yes" ] ; then<span style="background-color: #FF0000"> </span>
<font color='#880000'>- test ${do_cleanup} = "yes" && rm -rf b-${cpu}-go
</font><font color='#000088'>+ test ${do_cleanup} = "yes" && rm -rf ${BUILDDIR}/b-${cpu}-go
</font> fi
exit 0
<font color='#997700'>@@ -1041,4 +1068,72 @@
</font> if [ ${do_gcj} = "yes" ] ; then<span style="background-color: #FF0000"> </span>
test ${do_cleanup} = "yes" && rm -rf b-${cpu}-gcj
fi
<font color='#000088'>+
+##### Build a FORTRAN compiler now that we have a cross installed
+j_fortran()
+{
+ if [ X${1} = X ] ; then
+ echo Usage: $0 TARGET_CPU
+ exit 1
+ fi
+ TARGET=${1}-rtems${RTEMS_VERSION}
+
+ if [ ! -d ${INSTALL} ] ; then
+ echo ${INSTALL} does not exist
+ exit 1
+ fi
+
+ ${GCCDIR}/configure \
+ ${GCC_EXTRA_ARGS} \
+ CFLAGS_FOR_TARGET="-B${BSP_INSTALL}/${TARGET}/${BSP_BUILT}/lib/ ${F_FLAGS}" \
+ --with-ppl=/users/joel/test-gcc/install-svn/ \
+ --enable-threads=rtems --with-gnu-as \
+ --with-gnu-ld --disable-newlib --verbose \
+ --with-system-zlib --disable-nls \
+ --enable-version-specific-runtime-libs \
+ --enable-languages=c,fortran --target=$TARGET --prefix=$INSTALL && \
+ make ${MAKEJOBS} &&
+ make install
+ status=$?
+ if [ $status -ne 0 ] ; then
+ echo "Failed building FORTRAN"
+ fi
+ exit $status
+}
+
+fortran_fail="no"
+if [ ${do_fortran} = "yes" ] ; then<span style="background-color: #FF0000"> </span>
+ echo "Building Stage 2 cross GCC FORTRAN compiler for ${1} ..."
+ (cd ${BASEDIR} && \
+ rm -rf b-${cpu}-fortran && \
+ mkdir b-${cpu}-fortran && \
+ cd b-${cpu}-fortran && \
+ time j_fortran ${cpu} >${LOGDIR}/${cpu}-fortran.log 2>&1 && cd ..) || \
+ fortran_fail="yes"
+else
+ echo Skipping GCC FORTRAN compiler for ${cpu}
+fi
+
+##### Do the FORTRAN tests
+if [ $a ${run_fortrantests} = "yes" -a \
+ -d ${BASEDIR}/b-${cpu}-fortran -a ${fortran_fail} = "no" ] ; then
+ echo "Running fortran DejaGNU tests..."
+ cd ${BASEDIR}/b-${cpu}-fortran || exit 1
+ time sh -x ${SCRIPTDIR}/gcc/rundeja ${bsp} fortran \
+ >${LOGDIR}/${cpu}-fortrantests-${bsp}.log 2>&1
+
+ RDIR=${RESULTSDIR}/${TARGET}-${bsp}/`date +%Y-%m-%d-%H-%M-%S`
+ mkdir -p ${RDIR}
+ #cp ${TARGET}-${bsp}/libjava/testsuite/libjava-all.log \
+ # ${TARGET}-${bsp}/libjava/testsuite/libjava-all.sum ${RDIR}
+else
+ echo Skipping FORTRAN DejaGNU tests for ${cpu}/${bsp}
+fi
+
+if [ ${do_fortran} = "yes" ] ; then<span style="background-color: #FF0000"> </span>
+ test ${do_cleanup} = "yes" && rm -rf b-${cpu}-fortran
+fi
+
+
+
</font> exit 0
<font color='#006600'>diff -u rtems-testing/gcc/gcc_status:1.3 rtems-testing/gcc/gcc_status:1.4
--- rtems-testing/gcc/gcc_status:1.3 Mon Feb 7 16:32:35 2011
+++ rtems-testing/gcc/gcc_status Sun Nov 6 09:35:35 2011
</font><font color='#997700'>@@ -22,12 +22,12 @@
</font> fi
<font color='#880000'>-if [ ! -d ${BASEDIR}/b-${cpu}-gcc/gcc/testsuite ] ; then
</font><font color='#000088'>+if [ ! -d ${BUILDDIR}/b-${cpu}-gcc/gcc/testsuite ] ; then
</font> echo Test directory not found
exit 1<span style="background-color: #FF0000"> </span>
fi
<font color='#880000'>-cd ${BASEDIR}/b-${cpu}-gcc/gcc/testsuite
</font><font color='#000088'>+cd ${BUILDDIR}/b-${cpu}-gcc/gcc/testsuite
</font> while :
do
for BASE in gcc g++
<font color='#006600'>diff -u rtems-testing/gcc/gccgo_status:1.2 rtems-testing/gcc/gccgo_status:1.3
--- rtems-testing/gcc/gccgo_status:1.2 Mon Feb 7 16:32:35 2011
+++ rtems-testing/gcc/gccgo_status Sun Nov 6 09:35:35 2011
</font><font color='#997700'>@@ -21,13 +21,12 @@
</font> exit 1
fi
<font color='#880000'>-
-if [ ! -d ${BASEDIR}/b-${cpu}-go/gcc/testsuite ] ; then
</font><font color='#000088'>+if [ ! -d ${BUILDDIR}/b-${cpu}-go/gcc/testsuite ] ; then
</font> echo Test directory not found
exit 1
fi
<font color='#880000'>-cd ${BASEDIR}/b-${cpu}-go/gcc/testsuite
</font><font color='#000088'>+cd ${BUILDDIR}/b-${cpu}-go/gcc/testsuite
</font> while :
do
for BASE in go
<font color='#006600'>diff -u /dev/null rtems-testing/gcc/gccobjc_status:1.1
--- /dev/null Sun Nov 6 10:10:03 2011
+++ rtems-testing/gcc/gccobjc_status Sun Nov 6 09:35:35 2011
</font><font color='#997700'>@@ -0,0 +1,61 @@
</font><font color='#000088'>+#! /bin/sh
+#
+# gccobjc_status
+#
+
+vfile=`dirname $0`/../VERSIONS
+if [ ! -r ${vfile} ] ; then
+ echo VERSIONS file not found
+ exit 1
+fi
+
+source ${vfile}
+
+cpu=$1
+if [ $# -eq 1 ] ; then
+ limit=0
+elif [ $# -eq 2 ] ; then
+ limit=$2
+else
+ echo usage "$0 CPU [seconds]"
+ exit 1
+fi
+
+
+if [ ! -d ${BUILDDIR}/b-${cpu}-objc/gcc/testsuite ] ; then
+ echo Test directory not found
+ exit 1
+fi
+
+cd ${BUILDDIR}/b-${cpu}-objc/gcc/testsuite
+while :
+do
+ for BASE in objc
+ do
+ LFILE=${BASE}/${BASE}.log
+ SFILE=${BASE}/${BASE}.sum
+ if [ ! -r ${LFILE} ] ; then
+ continue
+ fi
+ loglines=`cat ${LFILE} | wc -l`
+ failed=`grep ^FAIL: ${SFILE} | wc -l`
+ passed=`grep ^PASS: ${SFILE} | wc -l`
+ unsupp=`grep ^UNSUPP ${SFILE} | wc -l`
+ unresolved=`grep ^UNRESOL ${SFILE} | wc -l`
+ untested=`grep ^UNTESTED ${SFILE} | wc -l`
+
+ printf "Lines in ${LFILE}: %5d\n" $loglines
+ printf "PASSED: %5d\n" $passed
+ printf "FAILED: %5d\n" $failed
+ printf "UNSUPPORTED: %5d\n" $unsupp
+ printf "UNRESOLVED: %5d\n" $unresolved
+ printf "UNTESTED: %5d\n" $untested
+ done
+
+ if [ ${limit} -eq 0 ] ; then
+ break
+ fi
+ sleep ${limit}
+done
+exit 0
+
</font>
<font color='#006600'>diff -u rtems-testing/gcc/networkconfig.h:1.2 rtems-testing/gcc/networkconfig.h:1.3
--- rtems-testing/gcc/networkconfig.h:1.2 Fri Jan 28 12:21:23 2011
+++ rtems-testing/gcc/networkconfig.h Sun Nov 6 09:35:36 2011
</font><font color='#997700'>@@ -22,10 +22,9 @@
</font> #include <bsp.h>
/*
<font color='#880000'>- * Default network interface
</font><font color='#000088'>+ * Network configuration
</font> */
<font color='#880000'>-static struct rtems_bsdnet_ifconfig netdriver_config = {
- NULL, /* Loop back interface only */
</font><font color='#000088'>+struct rtems_bsdnet_config rtems_bsdnet_config = {
</font> NULL, /* Loop back interface only */
NULL, /* do not use bootp */
0, /* Default network task priority */
<font color='#997700'>@@ -42,28 +41,7 @@
</font> 0, /* udp_rx_buf_size */
0, /* tcp_tx_buf_size */
0 /* tcp_rx_buf_size */
<font color='#880000'>-};
</font>
<font color='#880000'>-/*
- * Network configuration
- */
-struct rtems_bsdnet_config rtems_bsdnet_config = {
- &netdriver_config,
- NULL, /* do not use bootp */
- 0, /* Default network task priority */
- 0, /* Default mbuf capacity */
- 0, /* Default mbuf cluster capacity */
- "localhost", /* Host name -- match expectations for 127.0.0.1 */
- "nodomain.com", /* Domain name */
- "127.0.0.1", /* Gateway */
- "127.0.0.1", /* Log host */
- {"127.0.0.1" }, /* Name server(s) */
- {"127.0.0.1" }, /* NTP server(s) */
- 0, /* sb_efficiency */
- 0, /* udp_tx_buf_size */
- 0, /* udp_rx_buf_size */
- 0, /* tcp_tx_buf_size */
- 0 /* tcp_rx_buf_size */
</font> };
/*
<font color='#006600'>diff -u rtems-testing/gcc/rtems_gccgo_init.c:1.3 rtems-testing/gcc/rtems_gccgo_init.c:1.4
--- rtems-testing/gcc/rtems_gccgo_init.c:1.3 Mon Feb 7 16:32:35 2011
+++ rtems-testing/gcc/rtems_gccgo_init.c Sun Nov 6 09:35:36 2011
</font><font color='#997700'>@@ -1,5 +1,7 @@
</font> /*
* Init for Go testing.
<font color='#000088'>+ *
+ * $Id$
</font> */
#include <bsp.h>
<font color='#997700'>@@ -127,41 +129,38 @@
</font> #define CONFIGURE_APPLICATION_NEEDS_CONSOLE_DRIVER
#define CONFIGURE_POSIX_INIT_THREAD_TABLE
<font color='#880000'>-// Works with 32 Mb too, this is faster<span style="background-color: #FF0000"> </span>
-//#define CONFIGURE_EXECUTIVE_RAM_SIZE (5 * 1024 * 1024)
-#define CONFIGURE_MAXIMUM_POSIX_MUTEXES 500
-#define CONFIGURE_MAXIMUM_POSIX_SEMAPHORES 500
-#define CONFIGURE_MAXIMUM_POSIX_THREADS 400
-#define CONFIGURE_MAXIMUM_POSIX_CONDITION_VARIABLES 500
-#define CONFIGURE_MAXIMUM_TASK_VARIABLES (2 * 400)
</font><font color='#000088'>+#define CONFIGURE_MAXIMUM_POSIX_SEMAPHORES \
+ rtems_resource_unlimited(10) /* 500 */
+#define CONFIGURE_MAXIMUM_POSIX_MUTEXES \
+ rtems_resource_unlimited(10) /* 500 */
+#define CONFIGURE_MAXIMUM_POSIX_THREADS \
+ rtems_resource_unlimited(10) /* 400 */
+#define CONFIGURE_MAXIMUM_POSIX_CONDITION_VARIABLES \
+ rtems_resource_unlimited(10) /* 500 */
+#define CONFIGURE_MAXIMUM_TASK_VARIABLES \
+ rtems_resource_unlimited(10) /* (2 * 400) */
</font> #define CONFIGURE_POSIX_INIT_THREAD_STACK_SIZE (32 * 1024)
#define CONFIGURE_MINIMUM_TASK_STACK_SIZE (4 * 1024)
<font color='#880000'>-//#define CONFIGURE_MEMORY_OVERHEAD (4 * 1024)
</font>
<font color='#880000'>-//#define CONFIGURE_MICROSECONDS_PER_TICK 1000
-#define CONFIGURE_TICKS_PER_TIMESLICE 50
-#define CONFIGURE_MICROSECONDS_PER_TICK RTEMS_MILLISECONDS_TO_MICROSECONDS(1000)
-
-#define CONFIGURE_MAXIMUM_TASKS 20
-#define CONFIGURE_MAXIMUM_SEMAPHORES 20
-//#define CONFIGURE_MAXIMUM_MESSAGE_QUEUES 20
</font><font color='#000088'>+#define CONFIGURE_MICROSECONDS_PER_TICK \
+ RTEMS_MILLISECONDS_TO_MICROSECONDS(1000)
+
+#define CONFIGURE_MAXIMUM_TASKS rtems_resource_unlimited(10) /* 20 */
+#define CONFIGURE_MAXIMUM_SEMAPHORES rtems_resource_unlimited(10) /* 20 */
</font>
#define CONFIGURE_USE_IMFS_AS_BASE_FILESYSTEM
#define CONFIGURE_LIBIO_MAXIMUM_FILE_DESCRIPTORS 20
#define CONFIGURE_PIPES_ENABLED TRUE
#define CONFIGURE_MAXIMUM_PIPES 20
<font color='#880000'>-//#define CONFIGURE_MAXIMUM_BARRIERS 20
</font>
<font color='#880000'>-#define CONFIGURE_ZERO_WORKSPACE_AUTOMATICALLY TRUE
-//#define BSP_ZERO_WORKSPACE_AUTOMATICALLY 1
-#define CONFIGURE_UNIFIED_WORK_AREAS
</font> //#define CONFIGURE_MALLOC_DIRTY
<font color='#880000'>-//#define CONFIGURE_ZERO_WORKSPACE_AUTOMATICALLY 1
</font><font color='#000088'>+#define CONFIGURE_UNIFIED_WORK_AREAS
+#define CONFIGURE_ZERO_WORKSPACE_AUTOMATICALLY TRUE
</font> #define CONFIGURE_STACK_CHECKER_ENABLED TRUE
<font color='#000088'>+#define CONFIGURE_CONFDEFS_DEBUG
</font> #define CONFIGURE_INIT
#include <rtems/confdefs.h>
<font color='#880000'>-
</font> /* end of file */
<font color='#006600'>diff -u rtems-testing/gcc/rundeja:1.16 rtems-testing/gcc/rundeja:1.17
--- rtems-testing/gcc/rundeja:1.16 Sat Aug 20 13:37:29 2011
+++ rtems-testing/gcc/rundeja Sun Nov 6 09:35:36 2011
</font><font color='#997700'>@@ -146,6 +146,22 @@
</font> --target_board=rtems-${CPU}-${DEJABSP} \
"
;;
<font color='#000088'>+ objc)
+ RTEMS_MAKEFILE_PATH=${rtemsdir} \
+ SCRIPTDIR=${SCRIPTDIR} \
+ make -f ${SCRIPTDIR}/gcc/Makefile.rtems_gccmain
+ if [ $? -ne 0 ] ; then
+ echo unable to compile RTEMS GCC Main
+ exit 1
+ fi
+ rtems_config=`pwd`/rtems_gcc_main.o
+ make check-objc RUNTESTFLAGS="\
+ SIM=${BSP_SIM} \
+ RTEMS_MAKEFILE_PATH=${rtemsdir} \
+ RTEMS_CONFIG_OBJ=${rtems_config} \
+ --target_board=rtems-${CPU}-${DEJABSP} \
+ "
+ ;;
</font> libjava)
RTEMS_MAKEFILE_PATH=${rtemsdir} \
SCRIPTDIR=${SCRIPTDIR} \
<font color='#006600'>diff -u rtems-testing/gcc/test_driver:1.23 rtems-testing/gcc/test_driver:1.24
--- rtems-testing/gcc/test_driver:1.23 Fri Nov 4 12:04:21 2011
+++ rtems-testing/gcc/test_driver Sun Nov 6 09:35:36 2011
</font><font color='#997700'>@@ -2,6 +2,8 @@
</font> #
# Test Driver
#
<font color='#000088'>+# test_driver CPUs|all
+#
</font> # $Id$
#
<font color='#997700'>@@ -76,8 +78,9 @@
</font> doMail="yes"
doTests="yes"
justTests="no"
<font color='#000088'>+checkOptionsAndExit="no"
</font>
<font color='#880000'>-while getopts j1AacmnuGTUv OPT
</font><font color='#000088'>+while getopts J1AacmnuCGTUv OPT
</font> do
case "$OPT" in
A) doCleanInstallPoint=`toggle ${doCleanInstallPoint}`
<font color='#997700'>@@ -87,6 +90,7 @@
</font> ;;
1) doBasicTools=`toggle ${doBasicTools}` ;;
a) doAda=`toggle ${doAda}` ;;
<font color='#000088'>+ C) checkOptionsAndExit=`toggle ${checkOptionsAndExit}` ;;
</font> G) doGccGo=`toggle ${doGccGo}` ;;
J) doGcj=`toggle ${doGcj}` ;;
c) doCleanInstallPoint=`toggle ${doCleanInstallPoint}` ;;
<font color='#997700'>@@ -120,15 +124,17 @@
</font> CPUS_PART2="bfin lm32 m32r m68k powerpc sparc"
ALL_CPUs="${CPUS_PART1} ${CPUS_PART2}"
<font color='#880000'>-if [ "X${CPUs}" = "X" ] ; then
</font><font color='#000088'>+if [ "X${CPUs}" = "Xall" -o "X${CPUs}" = "X all" ] ; then
</font> CPUs="${ALL_CPUs}"
elif [ "X${CPUs}" = "X part1" ] ; then
CPUs="${CPUS_PART1}"
elif [ "X${CPUs}" = "X part2" ] ; then
CPUs="${CPUS_PART2}"
<font color='#000088'>+elif [ "X${CPUs}" = "X" -a ${doNative} = "no" ] ; then
+ echo "No CPUs specified to test"
+ exit 1
</font> fi
<font color='#880000'>-
</font> if [ ${verbose} = "yes" ] ; then
echo "Clean Install Point: " ${doCleanInstallPoint}
echo "Install Autotools: " ${doCleanInstallPoint}
<font color='#997700'>@@ -144,6 +150,8 @@
</font> echo "CPUs to Build: " ${CPUs}
fi
<font color='#000088'>+test ${checkOptionsAndExit} = "yes" && exit 0
+
</font> test ${doMail} = "no" && mailArg="-M"
test ${doTests} = "yes" && testArg="-T"
test ${doAda} = "yes" && adaArg="-a"
<font color='#997700'>@@ -213,12 +221,12 @@
</font> install_ppl()
{
if [ x${PPL} != x ] ; then
<font color='#880000'>- if [ -r ${INSTALL}/lib/libppl.a ] ; then
</font><font color='#000088'>+ if [ ! -r ${INSTALL}/lib/libppl.a ] ; then
</font> echo "*** Building PPL ***"
cd ${PPL}
make distclean
<font color='#880000'>- ./configure --prefix=${INSTALL}
- make all install
</font><font color='#000088'>+ ./configure --enable-watchdog --prefix=${INSTALL}
+ make ${MAKEJOBS} all install
</font> fi
fi
}
<font color='#997700'>@@ -240,7 +248,7 @@
</font> done
}
<font color='#880000'>-do_cpus()
</font><font color='#000088'>+build_cpu()
</font> {
bsp=
<font color='#997700'>@@ -308,16 +316,20 @@
</font> fi
wait
<font color='#000088'>+do_cpus=yes
</font> if [ ${doNative} = "yes" ]; then
# Build the native compiler as a baseline to build the others
time sh -x ${SCRIPTDIR}/gcc/do_one -n >${BASEDIR}/native.log 2>&1
<font color='#000088'>+ if [ $? -ne 0 ] ; then
+ do_cpus=no
+ fi
</font> fi
# Now cycle over all these CPUs
<font color='#880000'>-if [ $? -eq 0 ] ; then
</font><font color='#000088'>+if [ ${do_cpus} = yes ] ; then
</font> for cpu in ${CPUs}
do
<font color='#880000'>- do_cpus ${cpu}
</font><font color='#000088'>+ build_cpu ${cpu}
</font> done
fi
<font color='#006600'>diff -u rtems-testing/gcc/testsuite/ada/acats/Makefile.rtems:1.14 rtems-testing/gcc/testsuite/ada/acats/Makefile.rtems:1.15
--- rtems-testing/gcc/testsuite/ada/acats/Makefile.rtems:1.14 Mon Feb 7 16:32:36 2011
+++ rtems-testing/gcc/testsuite/ada/acats/Makefile.rtems Sun Nov 6 09:35:36 2011
</font><font color='#997700'>@@ -68,8 +68,8 @@
</font> endif # qemuppc
ifeq ($(RTEMS_BSP),uC5282)
echo " $(OBJCOPY) -O binary $$"'*' "$$"'*'.ralf >>$@
<font color='#880000'>- echo " uC5282 -C -l 90 $$"'*'.ralf >> $@
- echo " rm -f "$$'*'.ralf >>$@
</font><font color='#000088'>+ echo " uC5282 -C -l 90 $$"'*' >> $@
+ #echo " rm -f "$$'*'.ralf >>$@
</font> endif # uC5282
ifeq ($(RTEMS_BSP),mcf5206elite)
echo " nosim $$"'*' >> $@
</pre>
<p> </p>
<p>--<br />
<small>Generated by <a href="http://www.codewiz.org/projects/index.html#loginfo">Deluxe Loginfo</a> 2.122 by Bernardo Innocenti <bernie@develer.com></small></p>
</body>
</html>